package com.bonus.zlpt.bigscreen.mapper;

import com.bonus.zlpt.bigscreen.domain.vo.CoTypeVo;
import com.bonus.zlpt.bigscreen.domain.vo.CompanyInfoVo;
import com.bonus.zlpt.bigscreen.domain.vo.MaIdVo;
import com.bonus.zlpt.bigscreen.domain.vo.TypeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备信息表(MaDevInfo)表数据库访问层
 *
 * @author makejava
 * @since 2023-11-30 12:57:58
 */
@Mapper
public interface MaDevInfoMapper {

    /**
     * 获取企业所属设备状态为自有的设备数量
     * @return
     */
    List<CoTypeVo> selectMaDevInfoList();

    /**
     * 查询设备状态为在租的设备名称及数量
     * @param
     * @return
     */
    List<CompanyInfoVo> selectmaList();

    /**
     * 查询平台入驻设备总数
     * @return
     */
    int selectList();

    /**
     * 根据类型查询设备总数
     * @param
     * @return
     */
    List<TypeVo> selectTypeList();

    /**
     * 根据设备类型查询数量
     * @param
     * @return
     */
    List<TypeVo> selectMaTypeList();

    /**
     * 查询公司对应的热门设备数量
     * @return
     */
    List<CompanyInfoVo> selecthotList();

    /**
     * 根据设备id查询设备详情相关信息
     * @param maId
     * @return
     */
    MaIdVo selectListById(String maId);
}

